Results 1 to 10 of 24

Thread: Attribute replacing

Threaded View

Previous Post Previous Post   Next Post Next Post
  1. #4
    I could stop if I wanted to
    Join Date
    2009-03
    Location
    London, England
    Posts
    304
    Login to Give a bone
    0

    Default Re: Attribute replacing

    Perhaps?

    Code:
    (defun c:bump ( / a g ) ;; Lee Mac 2011
      (cond
        ( (setq a (ssget "_+.:S:E:L" '((0 . "INSERT") (66 . 1))))
          (setq a (vlax-invoke (vlax-ename->vla-object (ssname a 0)) 'getattributes))
          (princ "\nPress [+/-] to Bump Attributes Up & Down. <Done>")
          (while (member (setq g (grread nil 10)) '((2 45) (2 95) (2 43) (2 61)))
            (mapcar 'vla-put-textstring a
              (mapcar 'vla-get-textstring
                (if (member g '((2 45) (2 95))) (cons (last a) a) (append (cdr a) (list (car a))))
              )
            )
          )
        )
      )
      (princ)
    )
    (vl-load-com) (princ)
    Bump.gif
    Last edited by Lee Mac; 2011-07-26 at 03:06 PM.

Similar Threads

  1. Replacing attribute values via an excel file
    By jgardner.79905 in forum AutoLISP
    Replies: 9
    Last Post: 2010-07-28, 12:16 PM
  2. Replacing Blocks
    By jitesh789 in forum AutoLISP
    Replies: 2
    Last Post: 2008-04-05, 05:21 PM
  3. Replacing Doors
    By nsinha73 in forum Revit Architecture - General
    Replies: 3
    Last Post: 2007-01-29, 10:35 PM
  4. Replacing Text
    By masonjur in forum Revit Architecture - General
    Replies: 2
    Last Post: 2006-08-28, 03:46 PM
  5. Replacing Blocks
    By bwilliams.72594 in forum AutoCAD General
    Replies: 2
    Last Post: 2005-10-05, 05:52 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •